cancel
Showing results for 
Search instead for 
Did you mean: 

SAP connector for Micrsoft .NET 2.0.1 does not install

Former Member
0 Kudos

We have a .NET framework installed in our WIN2003 server for BizRights.

In order to activate the Adapters to mySAP, we need the SAP .NET connector.

When I try to install the SAP connector, I get an error message "Visual Studio .NET 7 is required.

The .NET framework has BASIC, C++ and stuff.

What exactly is required?

Accepted Solutions (0)

Answers (1)

Answers (1)

0 Kudos

hi,

you may need ms visual studio 2003.

hope this helps.

Former Member
0 Kudos

Thanks A.H.P.,

We have a production environment of BizRights that does *not* have Visual Studio. In fact the release notes for the SAP connector says to uninstall Visual Studio!

reiner_hille-doering
Active Contributor
0 Kudos

> In fact the release

> notes for the SAP connector says to uninstall Visual

> Studio!

No. It only says that you should uninstall older version of the connector.

Former Member
0 Kudos

My mistake, RH-D!

But as I said, the production server for the BizRights application does not have Visual Studio. Perhaps the earlier versions of the connector did not require Visual Studio?

This is what is listed under 'Pre-requisites' in the documentation for SAP .NET connector version 1.0 (which is in our production system):

*****************************

Windows 2000 or Windows XP

• Microsoft .NET Framework

Download this file from

http://msdn.microsoft.com/netframework

• LIBRFC32.dll, Release 6.20 or higher

• SAP.NET.Connector.dll

*****************************

We are trying to implement a dev environment for BizRights on a new server.

Message was edited by: Sundar Raman. Extract from Version 1.0 documentation added

reiner_hille-doering
Active Contributor
0 Kudos

For .NET Connector (NCo) 1.x we offer a so-called Run time version which doesn't require VS. For NCo 2.0 you can install the full version on one developer machine and distribute the runtime files to the production machine:

-SAP.Connector.DLL (install into GAC or App dir)

-SAP.Connector.Rfc.DLL (install into GAC or App dir)

-LIBRFC32.DLL (install into System32 or App dir)